Skip to navigation

Update an integration

Update a platform integration. Note: only integrations in development may be updated. Integrations submitted for publication cannot be updated.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "id"
The id of the platform integration to update

Request

This endpoint expects an object.
authorstringOptional1-160 characters
The name of the integration developer
call_to_actionstringOptional>=1 character
The call to action text
configuration_fieldsobjectOptional

A json-schema describing the settings fields that a user should be presented with when installing the integration

contactstringOptional>=1 character
The URL or email address where users of the integration can reach out for support
descriptionstringOptional>=1 character
A description of what the integration does and how to use it
error_codesobjectOptional
An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed
identifier_field_pathstringOptional

JMESPath describing which of the fields in configuration_fields is the best human-friendly field to use to identify a specific installation (e.g., account name)

namestringOptional1-160 characters
The name of the integration
oauth_callback_urlstringOptionalformat: "url">=1 character

The get endpoint that will be invoked after OAuth authorization

scopeslist of stringsOptional
The list of OAuth token permissions the integration requests when installed
tagslist of enumsOptional
A list of tags that describe the type of integration
Allowed values:
uninstallation_urlstringOptionalformat: "url">=1 character

The delete endpoint that initiates the uninstallation flow for the integration

Response

Platform integration updated
idstring
The unique identifier for the integration
identifier_field_pathstring

JMESPath describing which of the fields in configuration_fields is the best human-friendly field to use to identify a specific installation (e.g., account name)

statusstring

The current state of the integration (development, approved, archived)

authorstringOptional1-160 characters
The name of the integration developer
call_to_actionstringOptional>=1 character
The call to action text
configuration_fieldsobjectOptional

A json-schema describing the settings fields that a user should be presented with when installing the integration

contactstringOptional>=1 character
The URL or email address where users of the integration can reach out for support
createdstringOptionalformat: "date-time"
The date the integration was created
descriptionstringOptional>=1 character
A description of what the integration does and how to use it
error_codesobjectOptional
An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed
namestringOptional1-160 characters
The name of the integration
oauth_callback_urlstringOptionalformat: "url">=1 character

The get endpoint that will be invoked after OAuth authorization

scopeslist of stringsOptional
The list of OAuth token permissions the integration requests when installed
tagslist of enumsOptional
A list of tags that describe the type of integration
Allowed values:
uninstallation_urlstringOptionalformat: "url">=1 character

The delete endpoint that initiates the uninstallation flow for the integration

updatedstringOptionalformat: "date-time"
The date the integration was last updated